Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`client`.`WebClientContextFactory``

class documentation

`class WebClientContextFactory: (source)`

View In Hierarchy

This class is deprecated. Please simply use `Agent` as-is, or if you want to customize something, use `BrowserLikePolicyForHTTPS`.

A `WebClientContextFactory` is an HTTPS policy which totally ignores the hostname and port. It performs basic certificate verification, however the lack of validation of service identity (e.g. hostname validation) means it is still vulnerable to man-in-the-middle attacks. Don't use it any more.

Method | `getContext` | Return an `OpenSSL.SSL.Context`.
Method | `_getCertificateOptions` | Return a `CertificateOptions`.

@_requireSSL
def getContext(self, hostname, port): (source)

Return an `OpenSSL.SSL.Context`.

Parameters
hostname | ignored
port | ignored
Returns
`OpenSSL.SSL.Context` | A new SSL context.

def _getCertificateOptions(self, hostname, port): (source)

Return a `CertificateOptions`.

Parameters
hostname | ignored
port | ignored
Returns
`CertificateOptions` | A new CertificateOptions instance.